#ifndef _DELAY_H_
#define _DELAY_H_

#ifdef __cplusplus
extern "C" {
#endif
#include <stdint.h>
#include "../stm32f042/Drivers/CMSIS/Device/ST/STM32F0xx/Include/stm32f0xx.h" 

void delayInitMs(uint32_t clk, uint32_t ticks);
void delayMs(uint16_t delay); 


#ifdef __cplusplus
}
#endif

#endif
